<template>
  <div class="home">
    <div class="balance">
      <section class="dashboard-content text-center">
        <div class="starter-template pb-2">
          <h1 class="mb-0 d-flex align-items-center justify-content-center jumbo-text">
            <span
              class="py-0 ml-1 pb-0"
            >{{userModule.userDetails.userBalanceInMinorUnit | minor-unit-currency}}</span>
          </h1>
          <div class="f-28 pb-0 py-0">Balance</div>
          <div
            class="py-0 f-14 text-gray8080"
            v-if="userModule.userDetails.lastRefreshedDateTime!=''"
          >Last Balance Sync : {{userModule.userDetails.lastRefreshedDateTime | formatDateTime}}</div>
        </div>
        <div>
          <div
            class="py-4 f-14"
            style="color:red"
            v-if="userModule.userDetails.lastRefreshedDateTime==''"
          >
            <span>{{userModule.userDetails.walletBalanceStatus}}</span>
          </div>
        </div>
      </section>
    </div>
    <div class="main-controls">
      <section class="dashboard-content text-center">
        <div class="container">
          <div class="starter-template pb-3 pt-0">
            <div>
              <!--TODO update destinations on buttons-->
              <button
                class="btn btn-success btn-transfer btn-transfer-main f-18"
                v-on:click="initiateTransferPopup()"
              >Transfer Funds</button>
              <button
                class="btn btn-success btn-send btn-send-main f-18"
                data-toggle="modal"
                v-on:click="$router.replace('send')"
                v-if="userModule.userDetails.userBalanceInMinorUnit > 0"
              >Send Payment</button>
            </div>
          </div>
        </div>
      </section>
    </div>
    <TxnHistory></TxnHistory>
  </div>
</template>

<script lang="ts">
import moment from "moment";
import { Component } from "vue-property-decorator";

import TxnHistory from "@/components/sets/TxnHistory.vue";
import StoreModules from "@/mixins/StoreModules";
import { mixins } from "vue-class-component";
import TransferModal from "@/components/buildings/TransferModal.vue";

@Component({
  components: {
    TxnHistory
  },
  filters: {
    formatDateTime: (value: string) => {
      if (!value) {
        return "";
      }
      return moment(value).format("hh:mm:ss a");
    }
  }
})
export default class Home extends mixins(StoreModules) {
  public initiateTransferPopup() {
    this.modalModule.openOrReplaceModal({ modal: TransferModal, attr: {} });
  }
}
</script>
<style lang="scss">
.jumbo-text {
  color: $darkGray;
  font-size: $xxlgTitleSize;
  font-weight: 400;
}
</style>
